Skip to main content
GET
/
admin
/
commitments
/
{commitment_id}
Edit a commitment
curl --request GET \
  --url https://api.helpyousponsor.com/v1/admin/commitments/{commitment_id} \
  --header 'X-HYS-API-Key: <api-key>'
{
  "commitment": {},
  "the_donor": "<string>",
  "dntns": {},
  "next": "<string>",
  "programs": [
    {}
  ],
  "donor_entity": {}
}

Documentation Index

Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-HYS-API-Key
string
header
required

API key generated from Developer Settings. Format: hys_...

Path Parameters

commitment_id
integer
required

The id of the commitment to get

Response

Successful operation

commitment
object
the_donor
string
dntns
object
next
string
programs
object[]
donor_entity
object